# RPM specfile for rcd-modules module
# Generated Tue Apr 27 20:00:04 2004 GMT by Ximian build system
# $Id: bb_do,v 1.241.4.2 2004/03/19 23:24:35 v_thunder Exp $
# from $Id: ximian-build.conf,v 1.29 2004/04/27 19:02:04 frb Exp $

%define nam	rcd-modules
%define ver	2.2.0
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2

Name:     	rcd-modules
Version: 	2.2.0
Release:	0.ximian.7.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Fedora Core 1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

Source0:	rcd-modules-2.2.0.tar.gz
BuildRequires:	libredcarpet >= 2.2
BuildRequires:	rcd-devel >= 2.2
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig >= 0.9
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	rpm-devel
BuildRequires:	python2 >= 2.2
BuildRequires:	python2-devel >= 2.2
BuildRequires:	libsoup2.2-devel
BuildRequires:	xmlrpc-c-devel
Summary:	Red Carpet Enterprise daemon modules
Group:		System Environment/Daemons
Requires:	rcd >= 2.2
Provides:	ximian-rcd-modules = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This package provides modules for the RC daemon that
enable the daemon to be managed from the RCE server.  The modules
support centralized transactions as well gathering software, hardware
and system information.

%files
%defattr(-, root, root)
/usr/lib/rcd/modules/*.so
/usr/lib/rcd/modules/python/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n rcd-modules-2.2.0
    ;;
all)
%setup  -q -n rcd-modules-2.2.0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    PKG_CONFIG_PATH=/opt/rc-helper-libs/lib/pkgconfig:/opt/gnome/lib/pkgconfig:/opt/gnome2/lib/pkgconfig:$PKG_CONFIG_PATH CPPFLAGS="-w" ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --sysconfdir=/etc --with-xmlrpc-prefix=/opt/rc-helper-libs --enable-static-binary
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
# Remove unwanted files before pack stage.
    rm -rf $DESTDIR/usr/lib/rcd/modules/*a
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Apr 27 2004 Ximian, Inc.

- Version: 2.2.0-0.ximian.7.2
- Summary: New build.
- New automated build.

